Description

Lauren noticed that our "ttl" field was incorrectly using millisecond values, greatly inflating the duration that a token would be

considered valid. Upon further research, I see that there are many "registered claim names" that we should probably be using

instead of those that were required by the AnnotatorJS library that first led us to use JWTs. 

https://tools.ietf.org/html/rfc7519#section-4.1

I propose updating our JWT issuing and interpretation code to use these standard fields as well as include the custom fields required

by AnnotatorJS. 

Note that this is a substantial change even if only a few lines of code will actually be altered.

Subtasks:

Task # 7517: Update token generation to include standard claim fields Closed

Task # 7518: Update token interpretation library to use standard fields Closed

Task # 7519: Update documentation for clients and services that will utilized auth tokens Closed

Task # 7520: Update MNs (Metacat) to use newer portal library to correctly interpret au... Closed

Task # 7521: Update other CN libraries that use the d1_portal token code Closed

History

#1 - 2015-12-07 22:03 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

Mostly done with the development work on this. But should be reviewed when documentation is updated and test server has changes deployed to it.

#2 - 2015-12-08 01:05 - Ben Leinfelder

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

Deploying on cn-sandbox-2 for UI testing. Can do other environments too if needed.

#3 - 2015-12-11 23:07 - Ben Leinfelder

- Status changed from Testing to Closed

- % Done changed from 50 to 100

#4 - 2015-12-11 23:26 - Chris Jones

I'd agree that we should include the standard claim names in the tokens.  It's nice that they've standardized a bunch of useful fields, and our

interoperability will be better if we populate them. +1
